Bug 1288845 - "dnf provides" wildcard matching is unreliable (not all packages with matches listed)
Summary: "dnf provides" wildcard matching is unreliable (not all packages with matches...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
(Show other bugs)
Version: 25
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Mracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-06 13:51 UTC by Ronald Wahl
Modified: 2017-10-04 22:25 UTC (History)
4 users (show)

Fixed In Version: dnf-2.7.2-1.fc27 dnf-2.7.2-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-04 14:23:44 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ronald Wahl 2015-12-06 13:51:07 UTC
Description of problem:
"dnf provides" gives unreliable result when using wildcards:

$ dnf provides "*/bin/ls*"

shows coreutils and redhat-lsb-core but misses some packages like usbutils, gnupg, libpst, ... that contain tools matching the glob expression. Changing the expression slightly finds them:

$ dnf provides "*/bin/lsu*"

shows usbutils

$ dnf provides "*/bin/lsp*"

shows gnupg and libpst

Version-Release number of selected component (if applicable):
dnf-1.1.4-2.fc22.noarch (with libsolv-0.6.14-2.fc22.x86_64)
dnf-1.1.4-2.fc23.noarch (with libsolv-0.6.14-5.fc23.x86_64)

How reproducible:
100%

Steps to Reproduce:
1. See description
2.
3.

Actual results:
Not all matching packages are listed.

Expected results:
All matching Packages should be listed.

Additional info:
Affects F22 and F23. Might be a dnf or libsolv bug.

Comment 1 Fedora Admin XMLRPC Client 2016-07-08 09:31:38 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2016-07-19 18:34:31 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Ronald Wahl 2017-01-05 00:54:46 UTC
The bug is still present in Fedora 25.

Comment 4 Jaroslav Mracek 2017-08-31 12:30:11 UTC
I create a patch that should fix the issue for command "provides" (https://github.com/rpm-software-management/dnf/pull/915).

Comment 5 Fedora Update System 2017-10-02 10:34:58 UTC
dnf-plugins-extras-2.0.3-1.fc27 dnf-plugins-core-2.1.4-1.fc27 dnf-2.7.2-1.fc27 libdnf-0.10.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 6 Fedora Update System 2017-10-02 10:38:12 UTC
dnf-plugins-extras-2.0.3-1.fc26 dnf-plugins-core-2.1.4-1.fc26 dnf-2.7.2-1.fc26 libdnf-0.10.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 7 Fedora Update System 2017-10-02 20:28:50 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-70a8618065

Comment 8 Fedora Update System 2017-10-02 21:28:06 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-faf235c683

Comment 9 Fedora Update System 2017-10-04 14:23:44 UTC
dnf-2.7.2-1.fc27, dnf-plugins-core-2.1.4-1.fc27, dnf-plugins-extras-2.0.3-1.fc27, libdnf-0.10.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-10-04 22:25:47 UTC
dnf-2.7.2-1.fc26, dnf-plugins-core-2.1.4-1.fc26, dnf-plugins-extras-2.0.3-1.fc26, libdnf-0.10.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.